#------------------
# backend for oimaging-uws
#


backend apps-oimaging-uws-backend
    # prevent jobs listing ... and then file retrieval
    acl     authok_kibana_app   http_auth(user_list_kibana)
    acl     oimaging_list_job_path_acl path /OImaging-uws/oimaging/oimaging/
    acl     oimaging_list_job_path2_acl path /OImaging-uws/oimaging/oimaging
    http-request  auth  realm user_list_kibana  if METH_GET !authok_kibana_app oimaging_list_job_path_acl or METH_GET !authok_kibana_app oimaging_list_job_path2_acl

    server apps-oimaging-uws-1 {{service.host_machine}}.{{ansible_domain}}:{{service.ports.0|regex_replace('^(\\d+):\\d+$','\\1')}}

